From 7d9d588aa409de56c64f8d5044e5aedb2740f6da Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Mon, 12 Dec 2022 15:59:22 +0100
Subject: [PATCH] Fix undefined references to `WIFEXITED' and `WEXITSTATUS'.

Fixes the build on at least NetBSD and OpenBSD.
---
 fig2dev/dev/genbitmaps.c | 1 +
 fig2dev/dev/readeps.c    | 1 +
 fig2dev/dev/readpics.c   | 1 +
 3 files changed, 3 insertions(+)

diff --git a/fig2dev/dev/genbitmaps.c b/fig2dev/dev/genbitmaps.c
index 92d6671..b4738ac 100644
--- a/fig2dev/dev/genbitmaps.c
+++ b/fig2dev/dev/genbitmaps.c
@@ -36,6 +36,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include <signal.h>
+#include <sys/wait.h>
 
 #include "bool.h"
 #include "fig2dev.h"	/* includes bool.h and object.h */
diff --git a/fig2dev/dev/readeps.c b/fig2dev/dev/readeps.c
index efeb33e..bddf3ca 100644
--- a/fig2dev/dev/readeps.c
+++ b/fig2dev/dev/readeps.c
@@ -29,6 +29,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include <math.h>
+#include <sys/wait.h>
 
 #include "fig2dev.h"	/* includes bool.h and object.h */
 //#include "object.h"
diff --git a/fig2dev/dev/readpics.c b/fig2dev/dev/readpics.c
index 626c4c5..74132ce 100644
--- a/fig2dev/dev/readpics.c
+++ b/fig2dev/dev/readpics.c
@@ -31,6 +31,7 @@
 #include <string.h>
 #include <unistd.h>
 #include <sys/stat.h>
+#include <sys/wait.h>
 
 #include "messages.h"
 #include "xtmpfile.h"
-- 
2.38.1

